Subject: Re: bug#30931: 27.0.50; Crash in "Automatic GC"

From: Noam Postavsky <[email-masked]>
Date: Mon, 26 Mar 2018 10:20:47 -0400

Noam Postavsky <[email-masked]> writes:

> next time it was just mark_stack, but the object being marked still
> looks like an undo-list.

Here's the gdb evidence of that.  I note that the reproduction recipe
disables undo via (let ((buffer-undo-list t))...), but looking at its
code, I see that yasnippet unconditionally pushes entries onto the undo
list anyway.  Michał, is the binding of buffer-undo-list significant for
your reproduction (i.e., did the original crash happen in an
undo-disabled buffer)?